Bug 1044 - mount problems with IBM DCS-34330 9.1Gig drives
mount problems with IBM DCS-34330 9.1Gig drives
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: e2fsprogs (Show other bugs)
5.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
http://www.ph.utexas.edu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-02-04 15:17 EST by ido
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-12-09 14:13:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ido 1999-02-04 15:17:17 EST
Hello,

We are getting the following errors at random times during
mount.
Sometimes the machine boots fine
into multi-user mode and then typing
umount /u1
mount /u1

generates this error


EXT2-fs error (device 08:11): ext_check_blocks_bitmap: Block
#191 of the
inode table in group 165 is
marked free
EXT2-fs error (device 08:11): ext_check_blocks_bitmap: Wrong
free blocks
count for group 165, sotred
= 7898, counted = 7899
EXT2-fs error (device 08:11): ext2_check_blocks_bitmap:
Wrong free blocks
count in super block,
sotred = 8603602, counted = 8603603

Some times on reboot the machine boots into single user mode
and fsck is
required to fix the
same type of errors

We have tried the following kernels and still produce the
same results,
2.0.35, 2.0.36, 2.2.1
The drives in question are IBM DDRS-39130 (9130MB)
The adapter an Adaptec AIC-7895
We are using the Linux Adaptec AIC7xxx scsi driver
We are also running RedHat v5.2

Has anybody encountered this before?  What type of problem
does this
imply?  This happens on all 5
brand new IBM drives.

Thanks for your help!

--Ido Dubrawsky
--Michael Merhej
  University of Texas Physics Department




--
Ido Dubrawsky
UNIX System Administrator
Physics Computer Group
ido@physics.utexas.edu
RLM 7.126
(512) 471-5821
University of Texas at Austin
Austin, TX. 78712
Comment 1 David Lawrence 1999-02-06 19:12:59 EST
We would have to get one of these particular drives into the test lab
for us to accurately track down any problems. I will add this to our
list of needed hardware.
Comment 2 ido 1999-02-11 15:54:59 EST
I was wondering if you might have a timetable for a solution to this
particular problem.  We are using a Tyan 1836DLU motherboard with IBM
DDRS-
39130W 9.1GB drives.  We're really stumped over here.  We have tried
it with
an Adaptec 2940UW adapter card and we still get the problem.
However, when
we put the adapter card into a Dell Optiplex GXM5166, the drive has
no problem.
We also have a 4GB drive (IBM 34560W) with the root partition on it
and do not
seem to see a problem.

Note, that the subject drive model is WRONG, it is the IBM DDRS-39130

Thanks for you help,
Ido
Comment 3 ido 1999-02-11 15:55:59 EST
I was wondering if you might have a timetable for a solution to this
particular problem.  We are using a Tyan 1836DLU motherboard with IBM
DDRS-
39130W 9.1GB drives.  We're really stumped over here.  We have tried
it with
an Adaptec 2940UW adapter card and we still get the problem.
However, when
we put the adapter card into a Dell Optiplex GXM5166, the drive has
no problem.
We also have a 4GB drive (IBM 34560W) with the root partition on it
and do not
seem to see a problem.

Note, that the subject drive model is WRONG, it is the IBM DDRS-39130

Thanks for you help,
Ido
Comment 4 Stefan Meyer 1999-12-09 14:11:59 EST
I seem to have the same problem here, on an Asus T2P4 w/ Adaptec 2940U2W-LVD and
two IBM DNES-318350/LVD. I can partition the drive, and make a file system
(ext2) with the default mke2fs settings on it, and fsck reports everything is
fine. But when I create a partition >8GB (the drive is 17.5GB) and mount it, the
drive gets damaged with errors similar to those above, and fsck reports even
more errors.

One partitions up to 8GB work, but when I split the drive into two partitions of
the same size and restart fdisk, it reports that the second one does not end on
cylinder boundary (it ends on the last cylinder though). I have tried the
bootparams "linear" and "aic7xxx=extended", but that does not help either.

As the aic7xxx module also lists these drives wrong at boottime ("IBM DNES-3"
followed by garbage) and the controller itself doesn't, might there be a problem
with this module?

Thanks for your help.
Comment 5 Stefan Meyer 1999-12-09 14:13:59 EST
Oops, I forgot to mention it: I use RedHat 6.0.
Comment 6 Jeff Johnson 2000-07-26 07:48:57 EDT
I suspect that these problems have been fixed by later kernel's. Please reopen
this bug
if not.

Note You need to log in before you can comment on or make changes to this bug.